import { CosmWasmClient, SigningCosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { Network, SignOnlySigner, SignedTx, Signer, UnsignedTransaction } from "@wormhole-foundation/connect-sdk";
import { CosmwasmEvmChain } from "./constants";
import { CosmwasmChains } from "./types";
export declare function getCosmwasmSigner(rpc: CosmWasmClient, mnemonic: string): Promise<Signer>;
export declare class CosmwasmSigner<N extends Network, C extends CosmwasmChains> implements SignOnlySigner<N, C> {
    private _chain;
    private _signer;
    private _account;
    constructor(_chain: C, _signer: SigningCosmWasmClient, _account: string);
    chain(): C;
    address(): string;
    sign(tx: UnsignedTransaction[]): Promise<SignedTx[]>;
}
export declare class CosmwasmEvmSigner<N extends Network, C extends CosmwasmEvmChain> implements SignOnlySigner<N, C> {
    private _chain;
    private _chainId;
    private key;
    private prefix;
    private _rpc;
    constructor(_chain: C, _network: Network, _mnemonic: string);
    chain(): C;
    address(): string;
    sign(txns: UnsignedTransaction[]): Promise<SignedTx[]>;
    getSignerData(): Promise<{
        address: string;
        sequence: number;
        accountNumber: number;
    }>;
}
//# sourceMappingURL=signer.d.ts.map